## linux-liquorix 5.16

=== debian/changelog ===
linux-liquorix (5.16-8~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 15 Feb 2022 13:39:38 -0800

linux-liquorix (5.16-8ubuntu1~focal) focal; urgency=medium

  * merge 5.16.9
  * merge 5.16.10 rc patches (HEAD 3a71b8e8)
  * update version to 5.16.0-9.1

 -- Steven Barrett <steven@liquorix.net>  Mon, 14 Feb 2022 19:47:54 -0600

linux-liquorix (5.16-7) unstable; urgency=medium

  * add 5.16.9 rc patches
   - ata: libata-core: Fix ata_dev_config_cpr()
   - moxart: fix potential use-after-free on remove path
  * update version to 5.16.0-8.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 09 Feb 2022 11:17:49 -0600

linux-liquorix (5.16-6) unstable; urgency=medium

  * merge 5.16.8
  * update version to 5.16.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 08 Feb 2022 15:37:29 -0600

linux-liquorix (5.16-5) unstable; urgency=medium

  * merge 5.16/master from zen-kernel
   - Bluetooth: fix deadlock for RFCOMM sk state change
  * disable CONFIG_DVB_DEMUX_SECTION_LOSS_LOG
  * update version to 5.16.0-7.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 07 Feb 2022 19:07:58 -0600

linux-liquorix (5.16-4) unstable; urgency=medium

  * merge 5.16.7
  * replace "tsc=reliable" with "hpet=disable" into boot parameters
  * update version to 5.16.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 06 Feb 2022 12:05:59 -0600

linux-liquorix (5.16-3) unstable; urgency=medium

  * merge 5.16.5
  * update version to 5.16.0-5.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 01 Feb 2022 11:32:15 -0600

linux-liquorix (5.16-2) unstable; urgency=medium

  * merge 5.16.5 rc patches
  * add missing futex patch
   - futex: Add entry point for FUTEX_WAIT_MULTIPLE (opcode 31) 
  * update version to 5.16.0-4.2

 -- Steven Barrett <steven@liquorix.net>  Sun, 30 Jan 2022 15:46:18 -0600

linux-liquorix (5.16-1) unstable; urgency=medium

  * switch to 5.16
  * refresh config for 5.16
  * merge 5.16.4
  * update version to 5.16.0-4.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 30 Jan 2022 13:35:41 -0600

linux-liquorix (5.15-22) unstable; urgency=medium

  * merge 5.15.18
  * update version to 5.15.0-18.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 29 Jan 2022 13:09:09 -0600

linux-liquorix (5.15-21) unstable; urgency=medium

  * merge 5.15.17
  * revert kerneltoast kswapd/watermark boost patches
  * update version to 5.15.0-17.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 27 Jan 2022 13:15:47 -0600

linux-liquorix (5.15-20) unstable; urgency=medium

  * merge 5.15.17-rc1
  * update version to 5.15.0-16.2

 -- Steven Barrett <steven@liquorix.net>  Tue, 25 Jan 2022 10:26:29 -0600

linux-liquorix (5.15-19) unstable; urgency=medium

  * merge 5.15.16
  * update version to 5.15.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 20 Jan 2022 13:11:55 -0600

linux-liquorix (5.15-18) unstable; urgency=medium

  * merge 5.15.15
  * update version to 5.15.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 16 Jan 2022 09:39:33 -0600

linux-liquorix (5.15-17) unstable; urgency=medium

  * merge 5.15.14
  * update version to 5.15.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 11 Jan 2022 14:41:43 -0600

linux-liquorix (5.15-16) unstable; urgency=medium

  * merge 5.15.13
  * add evdev input fix for proton games
   - Input: evdev - use call_rcu when detaching client
  * update version to 5.15.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 06 Jan 2022 11:03:43 -0600

linux-liquorix (5.15-15) unstable; urgency=medium

  * pass "tsc=reliable" through kernel boot parameters
  * update version to 5.15.0-12.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 31 Dec 2021 12:48:12 -0600

linux-liquorix (5.15-14) unstable; urgency=medium

  * merge 5.15.12
  * update version to 5.15.0-12.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 29 Dec 2021 10:31:39 -0600

linux-liquorix (5.15-13) unstable; urgency=medium

  * merge 5.15.11
  * update version to 5.15.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 22 Dec 2021 12:28:24 -0600

linux-liquorix (5.15-12) unstable; urgency=medium

  * merge 5.15.11-rc1
  * update version to 5.15.0-10.2

 -- Steven Barrett <steven@liquorix.net>  Tue, 21 Dec 2021 14:09:18 -0600

linux-liquorix (5.15-11) unstable; urgency=medium

  * merge 5.15.10
  * update version to 5.15.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 17 Dec 2021 11:30:23 -0600

linux-liquorix (5.15-10) unstable; urgency=medium

  * merge 5.15.8
  * update version to 5.15.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 14 Dec 2021 11:08:58 -0600

linux-liquorix (5.15-9) unstable; urgency=medium

  * merge 5.15.7
  * update version to 5.15.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 08 Dec 2021 17:05:41 -0600

linux-liquorix (5.15-8) unstable; urgency=medium

  * merge latest zen-kernel/5.15/fixes
   - Revert "drm/i915: Implement Wa_1508744258"
  * update version to 5.15.0-6.2

 -- Steven Barrett <steven@liquorix.net>  Sun, 05 Dec 2021 17:07:50 -0600
