## linux-liquorix 5.17

=== debian/changelog ===
linux-liquorix (5.17-8~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 22 Apr 2022 14:29:51 -0700

linux-liquorix (5.17-8ubuntu1~bionic) bionic; urgency=medium

  * merge 5.17.4
  * update version to 5.17.0-4.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 20 Apr 2022 19:37:27 -0500

linux-liquorix (5.17-7) unstable; urgency=medium

  * add AMD suspend fix
   - gpio: Request interrupts after IRQ is initialized
  * update version to 5.17.0-3.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 18 Apr 2022 09:39:54 -0500

linux-liquorix (5.17-6) unstable; urgency=medium

  * merge 5.17.3
  * add stable queue patches (3eb81ff9696d)
  * update version to 5.17.0-3.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 14 Apr 2022 15:18:56 -0500

linux-liquorix (5.17-5) unstable; urgency=medium

  * add fix from zen-kernel/5.17/master
   - Revert "ACPI: processor: idle: Only flush cache on entering C3"
  * update version to 5.17.0-2.3

 -- Steven Barrett <steven@liquorix.net>  Sun, 10 Apr 2022 09:31:16 -0500

linux-liquorix (5.17-4) unstable; urgency=medium

  * add fix from zen-kernel/5.17/master
   - Reinstate some of "swiotlb: rework "fix info leak with DMA_FROM_DEVICE""
  * update version to 5.17.0-2.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 09 Apr 2022 13:03:49 -0500

linux-liquorix (5.17-3) unstable; urgency=medium

  * merge 5.17.2
  * add speculation fix:
   - x86/speculation: Restore speculation related MSRs during S3 resume
  * update version to 5.17.0-2.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 08 Apr 2022 12:28:41 -0500

linux-liquorix (5.17-2) unstable; urgency=medium

  * add timer/rcu fixes
   - dd4e421a5bd0 lib/irq_poll: Declare IRQ_POLL softirq vector as ksoftirqd-parking safe
   - a6d3a4702f13 tick/rcu: Stop allowing RCU_SOFTIRQ in idle
   - 657406c00215 tick/rcu: Remove obsolete rcu_needs_cpu() parameters
   - be9b1ba86711 tick: Detect and fix jiffies update stall
  * update version to 5.17.0-1.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 04 Apr 2022 17:56:14 -0500

linux-liquorix (5.17-1) unstable; urgency=medium

  * port to kernel 5.17
  * update version to 5.17.0-1.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 03 Apr 2022 10:45:43 -0500

linux-liquorix (5.16-27) unstable; urgency=medium

  * re-merge Project-C with official release, v5.16-r1
  * update version to 5.16.0-18.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 30 Mar 2022 19:01:27 -0500

linux-liquorix (5.16-26) unstable; urgency=medium

  * merge 5.16.18
  * update version to 5.16.0-18.1

 -- Steven Barrett <steven@liquorix.net>  Mon, 28 Mar 2022 14:14:02 -0500

linux-liquorix (5.16-25) unstable; urgency=medium

  * add RCU rt patches
   - rcu: Add per-CPU rcuc task dumps to RCU CPU stall warnings
   - rcu: Don't deboost before reporting expedited quiescent state
   - rcu: Update documentation regarding kthread_prio cmdline parameter
   - rcu: Elevate priority of offloaded callback threads
   - rcu: Make priority of grace-period thread consistent
   - rcu: Move kthread_prio bounds-check to a separate function
   - rcu: Create per-cpu rcuc kthreads only when rcutree.use_softirq=0
   - rcu: Remove unused rcu_state.boost
   - rcu/nocb: Handle concurrent nocb kthreads creation
   - rcu: Mark accesses to boost_starttime
  * drop RCU boost delay from 331ms to 97ms
  * update version to 5.16.0-17.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 26 Mar 2022 09:58:18 -0500

linux-liquorix (5.16-24) unstable; urgency=medium

  * merge 5.16.17
  * update version to 5.16.0-17.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 23 Mar 2022 20:26:47 -0500

linux-liquorix (5.16-23) unstable; urgency=medium

  * add PDS/BMQ fix
   - sched/alt: Add memory barriers around atomics
  * update version to 5.16.0-16.2

 -- Steven Barrett <steven@liquorix.net>  Sun, 20 Mar 2022 15:07:19 -0500

linux-liquorix (5.16-22) unstable; urgency=medium

  * merge 5.16.16
  * update version to 5.16.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 19 Mar 2022 14:14:36 -0500

linux-liquorix (5.16-21) unstable; urgency=medium

  * restore "alt_core.c: Add potentially missing assignment of p->on_cpu in
    sched_fork"
  * update version to 5.16.0-15.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 16 Mar 2022 21:03:30 -0500

linux-liquorix (5.16-20) unstable; urgency=medium

  * merge 5.16.15
  * revert "alt_core.c: Add potentially missing assignment of p->on_cpu in
    sched_fork"
  * update version to 5.16.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 16 Mar 2022 20:05:58 -0500

linux-liquorix (5.16-19) unstable; urgency=medium

  * add two PDS optimizations
   - alt_core.c: Add potentially missing assignment of p->on_cpu in sched_fork
   - sched/alt: Transpose the sched_rq_watermark array.
  * update version to 5.16.0-14.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 14 Mar 2022 11:26:54 -0500

linux-liquorix (5.16-18) unstable; urgency=medium

  * merge 5.16.14
  * update version to 5.16.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 11 Mar 2022 17:49:38 -0600

linux-liquorix (5.16-17) unstable; urgency=medium

  * remove default hugepage override, just causes a boot warning
  * update version to 5.16.0-13.4

 -- Steven Barrett <steven@liquorix.net>  Wed, 09 Mar 2022 15:09:44 -0600

linux-liquorix (5.16-16) unstable; urgency=medium

  * re-enable huge page support
  * reduce default hugepage value from 2M to 64K
  * update version to 5.16.0-13.3

 -- Steven Barrett <steven@liquorix.net>  Wed, 09 Mar 2022 14:43:40 -0600

linux-liquorix (5.16-15) unstable; urgency=medium

  * fix broken build for PDS
  * update version to 5.16.0-13.2

 -- Steven Barrett <steven@liquorix.net>  Tue, 08 Mar 2022 18:12:45 -0600

linux-liquorix (5.16-14) unstable; urgency=medium

  * merge 5.16.13
  * update version to 5.16.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 08 Mar 2022 17:46:01 -0600

linux-liquorix (5.16-13) unstable; urgency=medium


