## linux-liquorix 5.18

=== debian/changelog ===
linux-liquorix (5.18-21~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Aug 2022 16:04:07 -0700

linux-liquorix (5.18-21ubuntu1~bionic) bionic; urgency=medium

  * merge 5.18.0-17.1
  * update version to 5.18.0-17.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 11 Aug 2022 10:37:15 -0500

linux-liquorix (5.18-20) unstable; urgency=medium

  * add fix
   - mm: vmscan: fix extreme overreclaim and swap floods
  * update version to 5.18.0-16.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 08 Aug 2022 18:44:37 -0500

linux-liquorix (5.18-19) unstable; urgency=medium

  * merge 5.18.16
  * update version to 5.18.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 03 Aug 2022 08:38:52 -0500

linux-liquorix (5.18-18) unstable; urgency=medium

  * revert Project-C transpose optimizations
  * merge Project-C v5.18-r2
  * update version to 5.18.0-15.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 01 Aug 2022 11:16:26 -0500

linux-liquorix (5.18-17) unstable; urgency=medium

  * merge 5.18.15
  * update version to 5.18.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 30 Jul 2022 11:20:09 -0500

linux-liquorix (5.18-16) unstable; urgency=medium

  * merge 5.18.15-rc patches
  * update version to 5.18.0-14.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 25 Jul 2022 18:33:35 -0500

linux-liquorix (5.18-15) unstable; urgency=medium

  * merge 5.18.0-14.1
  * increase default probe timeout for soundwire to 10 seconds
  * update version to 5.18.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 24 Jul 2022 19:30:18 -0500

linux-liquorix (5.18-14) unstable; urgency=medium

  * merge 5.18.0-13.1
  * update version to 5.18.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 22 Jul 2022 08:27:39 -0500

linux-liquorix (5.18-13) unstable; urgency=medium

  * enable CONFIG_ENERGY_MODEL
  * disable adjustment of ASPM settings at boot
  * update version to 5.18.0-12.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 16 Jul 2022 11:43:19 -0500

linux-liquorix (5.18-12) unstable; urgency=medium

  * merge 5.18.12
  * enable writeback throttling
  * update version to 5.18.0-12.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 15 Jul 2022 17:00:11 -0500

linux-liquorix (5.18-11) unstable; urgency=medium

  * merge 5.18.11
  * revert rename of mq-deadline to mq-deadline-nodefault
  * enable support for kyber iosched
  * prefer kyber for multiqueue devices instead of bfq
  * update version to 5.18.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 12 Jul 2022 15:51:33 -0500

linux-liquorix (5.18-10) unstable; urgency=medium

  * disable acpi-cpufreq schedutil governor
  * update version to 5.18.0-10.2

 -- Steven Barrett <steven@liquorix.net>  Mon, 11 Jul 2022 19:22:25 -0500

linux-liquorix (5.18-9) unstable; urgency=medium

  * merge 5.18.10
  * update version to 5.18.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 07 Jul 2022 11:47:20 -0500

linux-liquorix (5.18-8) unstable; urgency=medium

  * merge 5.18.9
  * update version to 5.18.0-9.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 02 Jul 2022 11:44:26 -0500

linux-liquorix (5.18-7) unstable; urgency=medium

  * merge 5.18.8
  * re-enable O3 optimization
  * update version to 5.18.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 29 Jun 2022 09:29:02 -0500

linux-liquorix (5.18-6) unstable; urgency=medium

  * enable "rcuupdate.rcu_expedited" through config cmdline
  * update version to 5.18.0-7.4

 -- Steven Barrett <steven@liquorix.net>  Sun, 26 Jun 2022 18:16:39 -0500

linux-liquorix (5.18-5) unstable; urgency=medium

  * restore all debian patches removed in 5.18-3, all are required
  * update version to 5.18.0-7.3

 -- Steven Barrett <steven@liquorix.net>  Sat, 25 Jun 2022 16:08:38 -0500

linux-liquorix (5.18-4) unstable; urgency=medium

  * restore debian patch that sets kernel version string correctly
  * update version to 5.18.0-7.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 25 Jun 2022 15:38:59 -0500

linux-liquorix (5.18-3) unstable; urgency=medium

  * merge 5.18.7
  * remove debian patches to fix version date string
  * update version to 5.18.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 25 Jun 2022 10:30:31 -0500

linux-liquorix (5.18-2) unstable; urgency=medium

  * merge 5.18.6
  * update version to 5.18.0-6.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 22 Jun 2022 13:08:45 -0500

linux-liquorix (5.18-1) unstable; urgency=medium

  * switch to kernel 5.18(.5)
  * refresh configuration for 5.18
  * update version to 5.18.0-5.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 18 Jun 2022 10:16:59 -0500

linux-liquorix (5.17-19) unstable; urgency=medium

  * merge 5.17.15
  * update version to 5.17.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 14 Jun 2022 17:28:27 -0500

linux-liquorix (5.17-18) unstable; urgency=medium

  * merge 5.17.14
  * update version to 5.17.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 09 Jun 2022 21:24:29 -0500

linux-liquorix (5.17-17) unstable; urgency=medium

  * merge 5.17.13
  * update version to 5.17.0-13.1

 -- Steven Barrett <steven@liquorix.net>  Mon, 06 Jun 2022 22:43:38 -0500

linux-liquorix (5.17-16) unstable; urgency=medium

  * enable KSM
  * merge KSM changes for uksmd
  * remove conflicts on r8168-dkms and hal (fixes !94)
  * update version to 5.17.0-12.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 03 Jun 2022 10:43:43 -0500

linux-liquorix (5.17-15) unstable; urgency=medium

  * merge 5.17.12
  * update version to 5.17.0-12.1

 -- Steven Barrett <steven@liquorix.net>  Mon, 30 May 2022 14:49:07 -0500

linux-liquorix (5.17-14) unstable; urgency=medium

  * merge 5.17.11
  * disable workqueues in dm-crypt
  * add RTW88 USB support
  * update version to 5.17.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 25 May 2022 13:42:09 -0500

linux-liquorix (5.17-13) unstable; urgency=medium

  * merge 5.17.9
  * update version to 5.17.0-9.1


