## linux-liquorix 5.19

=== debian/changelog ===
linux-liquorix (5.19-7~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 07 Sep 2022 14:37:42 -0700

linux-liquorix (5.19-7ubuntu1~bionic) bionic; urgency=medium

  * merge 5.19.7
  * update version to 5.19.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Mon, 05 Sep 2022 10:37:47 -0500

linux-liquorix (5.19-6) unstable; urgency=medium

  * merge 5.19.6
  * update version to 5.19.0-6.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 31 Aug 2022 17:45:33 -0500

linux-liquorix (5.19-5) unstable; urgency=medium

  * disable optimized frame buffer driver and hardware support
  * use BIOS EDD for booting
  * update version to 5.19.0-4.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 26 Aug 2022 19:13:09 -0500

linux-liquorix (5.19-4) unstable; urgency=medium

  * merge 5.19.4
  * update version to 5.19.0-4.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 25 Aug 2022 09:50:46 -0500

linux-liquorix (5.19-3) unstable; urgency=medium

  * merge 5.19.3
  * refresh config for kernel v5.19.3
  * update version to 5.19.0-3.1

 -- Steven Barrett <steven@liquorix.net>  Sun, 21 Aug 2022 21:53:44 -0500

linux-liquorix (5.19-2) unstable; urgency=medium

  * merge 5.19.2
  * add Project-C optimizations
   - reintroduce transpose watermark optimization
   - disable yielding by default
  * synced several upstream updates to Project-C
  * update version to 5.19.0-2.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 18 Aug 2022 10:01:04 -0500

linux-liquorix (5.19-1) unstable; urgency=medium

  * switch to zen-kernel 5.19/master
  * enable RCU realtime kthreads
  * update version to 5.19.0-1.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 13 Aug 2022 09:38:13 -0500

linux-liquorix (5.18-21) unstable; urgency=medium

  * merge 5.18.0-17.1
  * update version to 5.18.0-17.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 11 Aug 2022 10:37:15 -0500
