## linux-liquorix 6.0

=== debian/changelog ===
linux-liquorix (6.0-8~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 03 Dec 2022 14:56:29 -0800

linux-liquorix (6.0-8ubuntu1~focal) focal; urgency=medium

  * add fix for i915
   - drm/i915: improve the catch-all evict to handle lock contention
  * update version to 6.0.0-11.2

 -- Steven Barrett <steven@liquorix.net>  Fri, 02 Dec 2022 12:35:30 -0600

linux-liquorix (6.0-7) unstable; urgency=medium

  * merge 6.0.11
  * remove build dependency on zstd
  * update version to 6.0.0-11.1

 -- Steven Barrett <steven@liquorix.net>  Fri, 02 Dec 2022 11:14:04 -0600

linux-liquorix (6.0-6) unstable; urgency=medium

  * merge 6.0.10
  * update version to 6.0.0-10.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 26 Nov 2022 09:32:44 -0600

linux-liquorix (6.0-5) unstable; urgency=medium

  * merge 6.0.9
  * update version to 6.0.0-9.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 16 Nov 2022 07:05:31 -0600

linux-liquorix (6.0-4) unstable; urgency=medium

  * merge 6.0.9 rc patches
   - thunderbolt: Add DP OUT resource when DP tunnel is discovered
   - drm/i915/gvt: Add missing vfio_unregister_group_dev() call
   - m68k: Rework BI_VIRT_RNG_SEED as BI_RNG_SEED
   - KVM: debugfs: Return retval of simple_attr_open() if it fails
   - drm/i915: Allow more varied alternate fixed modes for panels
   - drm/i915: Simplify intel_panel_add_edid_alt_fixed_modes()
   - drm/i915/sdvo: Grab mode_config.mutex during LVDS init to avoid WARNs
   - drm/amd/display: Acquire FCLK DPM levels on DCN32
   - drm/amd/display: Limit dcn32 to 1950Mhz display clock
   - drm/amd/display: Set memclk levels to be at least 1 for dcn32
   - drm/amdkfd: handle CPU fault on COW mapping
   - drm/amdkfd: Fix NULL pointer dereference in svm_migrate_to_ram()
   - cxl/region: Recycle region ids
  * update version to 6.0.0-8.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 12 Nov 2022 13:24:51 -0600

linux-liquorix (6.0-3) unstable; urgency=medium

  * merge 6.0.8
  * add AMDGPU fix
   - drm/amdgpu: Fix the lpfn checking condition in drm buddy
  * update version to 6.0.0-8.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 10 Nov 2022 15:57:27 -0600

linux-liquorix (6.0-2) unstable; urgency=medium

  * merge 6.0.7
  * update version to 6.0.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Thu, 03 Nov 2022 15:38:16 -0500

linux-liquorix (6.0-1) unstable; urgency=medium

  * switch to kernel v6.0
  * merge 6.0.6
  * enable CONFIG_X86_X32_ABI
  * update version to 6.0.0-6.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 29 Oct 2022 11:43:46 -0500

linux-liquorix (5.19-28) unstable; urgency=medium

  * merge compatible patches in 6.0.4 and 6.0.5
  * update version to 5.19.0-17.2

 -- Steven Barrett <steven@liquorix.net>  Wed, 26 Oct 2022 19:00:59 -0500

linux-liquorix (5.19-27) unstable; urgency=medium

  * merge 5.19.17
  * update version to 5.19.0-17.1

 -- Steven Barrett <steven@liquorix.net>  Mon, 24 Oct 2022 10:15:11 -0500

linux-liquorix (5.19-26) unstable; urgency=medium

  * add more bug fixes from 6.0/fixes
   - drm/amdgpu: Fix VRAM BO swap issue
   - drm/amdgpu: Fix for BO move issue
   - soundwire: intel: Initialize clock stop timeout
  * fix tools/perf building on Debian Sid by disabling -Werror
  * update version to 5.19.0-16.4

 -- Steven Barrett <steven@liquorix.net>  Fri, 21 Oct 2022 13:50:33 -0500

linux-liquorix (5.19-25) unstable; urgency=medium

  * add AMDGPU fixes for instability
   - drm/sched: add DRM_SCHED_FENCE_DONT_PIPELINE flag
   - drm/amdgpu: use DRM_SCHED_FENCE_DONT_PIPELINE for VM updates
  * update version to 5.19.0-16.3

 -- Steven Barrett <steven@liquorix.net>  Fri, 21 Oct 2022 11:16:28 -0500

linux-liquorix (5.19-24) unstable; urgency=medium

  * add fix for build error with new pahole/dwarves
   - kbuild: Add skip_encoding_btf_enum64 option to pahole
  * update version to 5.19.0-16.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 15 Oct 2022 12:08:28 -0500

linux-liquorix (5.19-23) unstable; urgency=medium

  * merge 5.19.16
  * update version to 5.19.0-16.1

 -- Steven Barrett <steven@liquorix.net>  Sat, 15 Oct 2022 11:17:50 -0500

linux-liquorix (5.19-22) unstable; urgency=medium

  * switch from ZSTD to XZ kernel image compression
  * merge patches to resolve multiple wifi RCEs
   - CVE-2022-41674: fix u8 overflow in cfg80211_update_notlisted_nontrans
   - CVE-2022-42719: wifi: mac80211: fix MBSSID parsing use-after-free
   - CVE-2022-42720: wifi: cfg80211: fix BSS refcounting bugs
   - CVE-2022-42721: wifi: cfg80211: avoid nontransmitted BSS list corruption
   - CVE-2022-42722: wifi: mac80211: fix crash in beacon protection for P2P-device
  * update version to 5.19.0-15.2

 -- Steven Barrett <steven@liquorix.net>  Thu, 13 Oct 2022 15:08:41 -0500

linux-liquorix (5.19-21) unstable; urgency=medium

  * merge 5.19.15
  * update version to 5.19.0-15.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 12 Oct 2022 17:44:56 -0500

linux-liquorix (5.19-20) unstable; urgency=medium

  * switch from ZSTD to XZ module compression
  * update version to 5.19.0-14.4

 -- Steven Barrett <steven@liquorix.net>  Tue, 11 Oct 2022 21:43:15 -0500

linux-liquorix (5.19-19) unstable; urgency=medium

  * enable ZSTD compression for modules
  * update version to 5.19.0-14.3

 -- Steven Barrett <steven@liquorix.net>  Mon, 10 Oct 2022 19:01:06 -0500

linux-liquorix (5.19-18) unstable; urgency=medium

  * disable lockdown security subsystem
  * disable module signing
  * update version to 5.19.0-14.2

 -- Steven Barrett <steven@liquorix.net>  Sat, 08 Oct 2022 09:50:38 -0500

linux-liquorix (5.19-17) unstable; urgency=medium

  * merge 5.19.14
  * update version to 5.19.0-14.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 05 Oct 2022 10:05:39 -0500

linux-liquorix (5.19-16) unstable; urgency=medium

  * add dependency on pahole / dwarves for debug info
  * update version to 5.19.0-12.3

 -- Steven Barrett <steven@liquorix.net>  Sun, 02 Oct 2022 22:38:02 -0500


