## linux-liquorix 6.1

=== debian/changelog ===
linux-liquorix (6.1-32~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Mar 2023 13:09:14 -0800

linux-liquorix (6.1-32ubuntu1~focal) focal; urgency=medium

  * re-enable O3 optimizations
  * disable AVX2 and tree vectorizations
  * update version to 6.1.15-2

 -- Steven Barrett <steven@liquorix.net>  Sat, 04 Mar 2023 17:57:57 -0600

linux-liquorix (6.1-31) unstable; urgency=medium

  * merge 6.1.15
  * update version to 6.1.15-1

 -- Steven Barrett <steven@liquorix.net>  Sat, 04 Mar 2023 09:52:30 -0600

linux-liquorix (6.1-30) unstable; urgency=medium

  * merge 6.1.14
  * update version to 6.1.14-1

 -- Steven Barrett <steven@liquorix.net>  Sun, 26 Feb 2023 20:14:24 -0600

linux-liquorix (6.1-29) unstable; urgency=medium

  * add workaround to GPF in Project-C "migrate_pending_tasks" function
  * update version to 6.1.13-2

 -- Steven Barrett <steven@liquorix.net>  Fri, 24 Feb 2023 14:07:22 -0600

linux-liquorix (6.1-28) unstable; urgency=medium

  * merge 6.1.13
  * update version to 6.1.13-1

 -- Steven Barrett <steven@liquorix.net>  Wed, 22 Feb 2023 13:07:57 -0600

linux-liquorix (6.1-27) unstable; urgency=medium

  * redo sync patches and add fix for invocation of update_sched_preempt_mask
   - sched/alt: Rework (de)activate_task and de/enqueue_task
   - sched/alt: Move struct rq inside for loop
   - sched/alt: Add cpumask_clear to sched_init_topology_early
   - sched/alt: Always update preempt mask when en/dequeueing tasks
  * update version to 6.1.12-3

 -- Steven Barrett <steven@liquorix.net>  Sun, 19 Feb 2023 13:37:38 -0600

linux-liquorix (6.1-26) unstable; urgency=medium

  * add sync patches to Project-C (potential bug fix / optimizations)
   - sched/alt: Rework (de)activate_task and de/enqueue_task
   - sched/alt: Move struct rq inside for loop
  * update version to 6.1.12-2

 -- Steven Barrett <steven@liquorix.net>  Sun, 19 Feb 2023 12:11:04 -0600

linux-liquorix (6.1-25) unstable; urgency=medium

  * merge 6.1.12
  * fix stutter on AMD systems utilizing fTPM for hwrng
   - tpm: disable hwrng for fTPM on some AMD designs
  * update version to 6.1.12-1

 -- Steven Barrett <steven@liquorix.net>  Tue, 14 Feb 2023 18:36:40 -0600

linux-liquorix (6.1-24) unstable; urgency=medium

  * merge 6.1.11
  * update version to 6.1.11-1

 -- Steven Barrett <steven@liquorix.net>  Thu, 09 Feb 2023 16:29:04 -0600

linux-liquorix (6.1-23) unstable; urgency=medium

  * merge 6.1.10
  * update version to 6.1.10-1

 -- Steven Barrett <steven@liquorix.net>  Mon, 06 Feb 2023 09:15:26 -0600

linux-liquorix (6.1-22) unstable; urgency=medium

  * refresh debian patches to fix package build errors
  * update version to 6.1.9-2

 -- Steven Barrett <steven@liquorix.net>  Wed, 01 Feb 2023 14:52:27 -0600

linux-liquorix (6.1-21) unstable; urgency=medium

  * merge 6.1.9
  * update version to 6.1.9-1

 -- Steven Barrett <steven@liquorix.net>  Wed, 01 Feb 2023 13:59:21 -0600

linux-liquorix (6.1-20) unstable; urgency=medium

  * pull Project-C v6.1-r4
   - sched/alt: Fix missing ENQUEUE_WAKEUP mask in psi_enqueue() call
   - sched/alt: [Sync] b55bd585 time/tick-broadcast: Fix tick_broadcast_offline() lockdep complaint
   - sched/alt: sg balance optimization
  * update version to 6.1.8-4

 -- Steven Barrett <steven@liquorix.net>  Sat, 28 Jan 2023 23:13:39 -0600

linux-liquorix (6.1-19) unstable; urgency=medium

  * sync up three more changes from mainline sched to Project-C
   - sched/alt: [Sync] f5d39b020809 freezer,sched: Rewrite core freezer logic
   - sched/alt: [Sync] 7fb3ff22ad87 sched/core: Fix arch_scale_freq_tick() on tickless systems
   - sched/alt: [Sync] 79cc1ba7badf panic: Consolidate open-coded panic_on_warn checks
  - update version to 6.1.8-3

 -- Steven Barrett <steven@liquorix.net>  Sat, 28 Jan 2023 14:24:19 -0600

linux-liquorix (6.1-18) unstable; urgency=medium

  * assemble ABI version so kernel minor version is represented correctly and
    package version is separated by dash
  * update version to 6.1.8-2

 -- Steven Barrett <steven@liquorix.net>  Thu, 26 Jan 2023 15:10:16 -0600

linux-liquorix (6.1-17) unstable; urgency=medium

  * merge 6.1.8
  * apply upstream AMDGPU MST regression fix
  * strip trailing zero from kernel version
  * update version to 6.1-8.1

 -- Steven Barrett <steven@liquorix.net>  Tue, 24 Jan 2023 11:28:11 -0600

linux-liquorix (6.1-16) unstable; urgency=medium

  * add two fixes
   - wifi: mac80211: fix initialization of rx->link and rx->link_sta
   - btrfs: fix invalid leaf access due to inline extent during lseek
  * update version to 6.1.0-7.2

 -- Steven Barrett <steven@liquorix.net>  Thu, 19 Jan 2023 14:44:22 -0600

linux-liquorix (6.1-15) unstable; urgency=medium

  * merge 6.1.7
  * restore preempt mask optimization to Project-C with offset fix
  * merge Project-C v6.1-r3
  * add MG-LRU optimization for POSIX-FADV_NOREUSE
   - mm: add vma_has_recency()
   - mm: support POSIX_FADV_NOREUSE
  * update version to 6.1.0-7.1

 -- Steven Barrett <steven@liquorix.net>  Wed, 18 Jan 2023 10:57:00 -0600

linux-liquorix (6.1-14) unstable; urgency=medium

  * restore watermark transpose optimization to Project-C
   - Revert "sched/alt: Introduce preemt mask"
   - sched/alt: Transpose the sched_rq_watermark array
  * update version to 6.1.0-6.3

 -- Steven Barrett <steven@liquorix.net>  Sun, 15 Jan 2023 11:30:05 -0600

linux-liquorix (6.1-13) unstable; urgency=medium

  * merge 6.1.7-rc
  * backport sched/core upstream fix to Project-C
   - sched/alt: [Sync] 87ca4f9efbd7c sched/core: Fix use-after-free bug in dup_user_cpus_ptr()
  * update version to 6.1.0-6.2

 -- Steven Barrett <steven@liquorix.net>  Sun, 15 Jan 2023 10:02:41 -0600

linux-liquorix (6.1-12) unstable; urgency=medium

  * merge 6.1.6
  * add netfilter fix - CVE-2023-0179
   -  netfilter: nft_payload: incorrect arithmetics when fetching VLAN header bits

 -- Steven Barrett <steven@liquorix.net>  Sat, 14 Jan 2023 10:53:57 -0600


